Get distributed training’s data. [Experimental]
Get distributed training’s data. [Experimental]
Retrieve the details of a distributed training by workload id.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
workloadId
The Universally Unique Identifier (UUID) of the workload.
Response
Executed successfully.
name
The name of the workload.
requestedName
The name as was requested for the workload. If useGivenNameAsPrefix, in the creation request, is false, name and requestedName should be identical. Otherwise, name should be composed of requestedName followed by a suffix of random characters.
workloadId
A unique ID of the workload.
projectId
The id of the project.
clusterId
The id of the cluster.
createdBy
The user who created the workload
createdAt
The creation time of the workload.
desiredPhase
The desired phase of the workload.
Allowed values:
departmentId
The id of the department.
deletedAt
The deletion time of the workload.
actualPhase
spec
masterSpecSameAsWorker
used for distributed workloads to indicate that the master spec should be the same as the worker spec. in this case, masterSpec should not be specified.
masterSpec
Errors
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error